Bug 683443 - kernel panic in pg_init_done - pgpath already deleted [rhel-5.6.z]
Summary: kernel panic in pg_init_done - pgpath already deleted [rhel-5.6.z]
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel
Version: 5.5
Hardware: x86_64
OS: Linux
urgent
urgent
Target Milestone: rc
: ---
Assignee: Jiri Pirko
QA Contact: Red Hat Kernel QE team
URL:
Whiteboard:
Depends On: 673058
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-03-09 12:29 UTC by RHEL Product and Program Management
Modified: 2018-11-14 14:39 UTC (History)
11 users (show)

Fixed In Version: kernel-2.6.18-238.9.1.el5
Doc Type: Bug Fix
Doc Text:
A race could occur when an internal multipath structure (pgpath) was freed before it was used to signal the path group initialization was complete (via pg_init_done). This update includes a number of fixes that address this issue. multipath is now increasingly robust when multipathd restarts are combined with I/O operations to multipath devices and storage failures.
Clone Of:
Environment:
Last Closed: 2011-04-12 18:20:47 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:0429 normal SHIPPED_LIVE Important: kernel security and bug fix update 2011-04-12 18:19:57 UTC

Description RHEL Product and Program Management 2011-03-09 12:29:15 UTC
This bug has been copied from bug #673058 and has been proposed
to be backported to 5.6 z-stream (EUS).

Comment 3 Jiri Pirko 2011-03-19 07:39:28 UTC
in kernel-2.6.18-238.9.1.el5

linux-2.6-md-dm-mpath-fix-null-deref-when-path-parameter-missing.patch
linux-2.6-md-dm-mpath-wait-for-pg_init-completion-on-suspend.patch
linux-2.6-md-dm-mpath-hold-io-until-all-pg_inits-completed.patch
linux-2.6-md-dm-mpath-skip-activate_path-for-failed-paths.patch
linux-2.6-md-dm-mpath-pass-struct-pgpath-to-pg-init-done.patch
linux-2.6-md-dm-mpath-prevent-io-from-work-queue-while-suspended.patch
linux-2.6-md-dm-mpath-add-mutex-to-sync-adding-and-flushing-work.patch
linux-2.6-md-dm-mpath-flush-workqueues-before-suspend-completes.patch

Comment 6 errata-xmlrpc 2011-04-12 18:20:47 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2011-0429.html

Comment 7 Martin Prpič 2011-04-14 10:31:06 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
A race could occur when an internal multipath structure (pgpath) was freed before it was used to signal the path group initialization was complete (via pg_init_done). This update includes a number of fixes that address this issue. multipath is now increasingly robust when multipathd restarts are combined with I/O operations to multipath devices and storage failures.


Note You need to log in before you can comment on or make changes to this bug.